Bug 1575421 - Post fedora upgrade 27 --> 28 gdm fails to load log shows invalid opcode in librsvg-2.so.2.42.3
Summary: Post fedora upgrade 27 --> 28 gdm fails to load log shows invalid opcode in l...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 28
Hardware: i686
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-06 19:23 UTC by Nicholas Youell
Modified: 2019-05-28 20:32 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:32:44 UTC
Type: Bug


Attachments (Terms of Use)
journal log showing upgrade from 27 --> 28 and subsequent failure to load GDM (10.75 MB, text/x-vhdl)
2018-05-06 19:23 UTC, Nicholas Youell
no flags Details

Description Nicholas Youell 2018-05-06 19:23:40 UTC
Created attachment 1432455 [details]
journal log showing upgrade from 27 --> 28 and subsequent failure to load GDM

Description of problem: On boot up journal shows:

May 06 15:55:45 FC27-Test audit[963]: ANOM_ABEND auid=4294967295 uid=42 gid=42 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 pid=963 comm="pool" exe="/usr/bin/gnome-shell" sig=4 res=1
May 06 15:55:45 FC27-Test kernel: do_trap: 7 callbacks suppressed
May 06 15:55:45 FC27-Test kernel: traps: pool[977] trap invalid opcode ip:911b1f96 sp:b13fdc80 error:0 in librsvg-2.so.2.42.3[91116000+111000]
May 06 15:55:45 FC27-Test systemd[1]: Created slice system-systemd\x2dcoredump.slice.
May 06 15:55:45 FC27-Test systemd[1]: Started Process Core Dump (PID 1310/UID 0).
May 06 15:55:45 FC27-Test audit[1]: SERVICE_START pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-coredump@0-1310-0 comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
May 06 15:55:46 FC27-Test abrt-dump-journal-oops[592]: abrt-dump-journal-oops: Found oopses: 1
May 06 15:55:46 FC27-Test abrt-dump-journal-oops[592]: abrt-dump-journal-oops: Creating problem directories
May 06 15:55:48 FC27-Test abrt-dump-journal-oops[592]: Reported 1 kernel oopses to Abrt
May 06 15:55:57 FC27-Test polkitd[587]: Unregistered Authentication Agent for unix-session:c1 (system bus name :1.27, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_GB.UTF-8) (disconnected from bus)
May 06 15:55:57 FC27-Test gnome-session[914]: gnome-session-binary[914]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 4
May 06 15:55:57 FC27-Test gnome-session-binary[914]: WARNING: Application 'org.gnome.Shell.desktop' killed by signal 4


Version-Release number of selected component (if applicable):
Happens on Fedora Core Version 28.  This was the first boot after a dnf upgrade from Fedora Core version 27

How reproducible:
Happens every time on boot. To obtain the log you must boot into single mode. 

Steps to Reproduce:
1. Boor the server
2.
3.

Actual results:
Blank screen that tries to load the GDM but fails. 

Expected results:
GDM to present the login screen this never appears. 

Additional info:

Comment 1 Nicholas Youell 2018-05-30 08:11:04 UTC
Have booted several times in single mode and run telinit 3 to load network up and applied FC 28 updates including two new kernels. This has not resolved the issue. 

Any outlook on a fix?

Comment 2 Ben Cotton 2019-05-02 19:18:42 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-02 21:38:09 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Ben Cotton 2019-05-28 20:32:44 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.